#ifndef SETTINGS_HPP_INCLUDED
#define SETTINGS_HPP_INCLUDED

#include <cstdint>
#include <vector>

namespace Settings
{
    std::vector<std::int32_t> GetAll();

    std::int32_t GetSetting(std::int32_t SettingIndex);
    std::int32_t GetSetting(std::int32_t SettingIndex, std::int32_t BitMask);
    bool GetSettingBit(std::int32_t SettingIndex, std::int32_t BitIndex);
    
    std::int32_t GetScreenType();


    typedef enum GAMETAB
    {
        TAB_ACCOUNT,
        TAB_CLAN,
        TAB_COMBAT,
        TAB_EMOTES,
        TAB_EQUIPMENT,
        TAB_FRIENDS,
        TAB_IGNORES,
        TAB_INVENTORY,
        TAB_LOGOUT,
        TAB_MAGIC,
        TAB_MUSIC,
        TAB_OPTIONS,
        TAB_PRAYER,
        TAB_QUESTS,
        TAB_STATS
    } GAMETAB;
    std::int32_t GetGametabHotkey(GAMETAB Tab);

    bool IsEscToCloseInterfacesOn();
    bool IsShiftClickToDropOn();
    bool IsScrollToZoomOn();
}

#endif // SETTINGS_HPP_INCLUDED
